<template>
  <div>
    <!-- View Desktop -->
    <div class="profile-section" v-if="!isMobile()">
      <a-row style="text-align: left; color: #fff; font-size:1rem">
        <a-col :span="6">
          <a @click="back" href="#" style="text-align: left; color: #fff; font-size:1rem">
            <a-icon type="left" /> Back
          </a>
        </a-col>
      </a-row>
      <a-row class="form-profile">
        <a-col :md="6" :lg="6">
          <label for="">Profile</label>
        </a-col>
      </a-row>
    </div>
    <!-- End View Desktop -->

    <div class="profile-section" :class="{ mobile: true }">
      <a-row>
        <a-col :md="{ span: 12 }">
          <a-row class="header">
            <a-col :span="6" :md="{ span: 8 }" class="avatar">
              <img src="/img/voting2.jpg" alt="avatar" />
            </a-col>
            <a-col :span="18" :md="{ span: 16 }" class="pl-3">
              <p class="user-name mt-0">{{ userInfo.name }}</p>
              <p class="user-email">{{ userInfo.username }}</p>
              <p class="user-follow">
                <span class="follower mr-2" v-if="isArtist">10k followers</span>
                <span class="following">7k following</span>
              </p>
            </a-col>
          </a-row>
          <a-tabs default-active-key="1" class="tab-profile" :class="{'hide-tab': !isMobile()}">

            <!-- Tab Setting -->
            <a-tab-pane key="1" tab="Setting">
              <a-row class="mt-3 mb-5">
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="goGSMT">GSMT Management</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="editProfile">Change Personal Information</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="updatePwd">Change Password</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="goPayment">Change Payment Information</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
              </a-row>
              <a-row class="mb-5">
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left">Terms of Use</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left">About us</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="goArtistRegistration">Artist Register</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
                <a-row class="action-item d-flex align-items-center py-3 py-md-4">
                  <a-col :span="22" class="text-left" @click="handleLogout">Log out</a-col>
                  <a-col :span="2"><a-icon type="right"></a-icon></a-col>
                </a-row>
              </a-row>
            </a-tab-pane>
            <!-- End Tab Setting -->

            <!-- Tab Manage -->
            <a-tab-pane key="2" tab="Manage" force-render>
              <artist-profile></artist-profile>
            </a-tab-pane>
            <!-- End Tab Manage -->
          </a-tabs>
        </a-col>
      </a-row>
    </div>
  </div>
</template>

<script>
import ArtistProfile from "./artist-profile/Index.vue";
import ProductDetail from './shopping/ProductDetail.vue';

export default {
  components: {
    ArtistProfile,
    ProductDetail
  },
  data() {
    return {
      isArtist: true,
      userInfo: {}
    };
  },
  watch: {
    "$store.state.app.user": {
      immediate: true,
      handler(val) {
        this.userInfo = val;
      }
    }
  },
  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true;
      } else {
        return false;
      }
    },
    back() {},
    editProfile() {
      this.$router.push("/edit-profile").catch((err) => {});
    },
    updatePwd() {
      this.$router.push("/update-password").catch((err) => {});
    },
    goArtistRegistration() {
      this.$router.push("/artist-registration").catch((err) => {});
    },
    goGSMT() {
      this.$router.push("/gsmt").catch((err) => {});
    },
    goPayment() {
      this.$router.push("/payment").catch((err) => {});
    },
    handleLogout() {
      this.$store.commit("app/setActionRedirect", { type: "login" });
    }
  }
};
</script>

<style scoped>
.profile-section {
  margin-left: 25px;
  margin-top: 50px;
  margin-right: 25px;
}
.header .user-name,
.header .user-email,
.header .user-follow {
  text-align: left;
}
.form-profile {
  text-align: left !important;
}
.form-profile label {
  font-size: 1rem;
  font-weight: 500;
  margin: 25px 0;
  display: inline-block;
}
.form-profile input {
  background: #4f4d4d;
  color: #fff;
  border: 1px solid #fff;
  height: 50px !important;
}
.btn-submit {
  text-align: center !important;
}
.btn-submit button {
  width: 150px !important;
  height: 50px !important;
  margin-top: 25px;
  font-size: 1rem;
  font-weight: 600;
}
.profile-edit {
  font-size: 1rem;
  font-weight: 500;
  padding: 10px 0;
}
.profile-edit_line {
  border-bottom: 1px solid #fff;
}
.btn-edit-profile {
  background-color: transparent !important;
  border-radius: 25px !important;
  color: #fff !important;
}
.hide-tab >>> .ant-tabs-bar {
  display: none;
}

/* Mobile Style */
.profile-section.mobile {
  margin-left: 24px;
  margin-top: 20px;
  margin-right: 24px;
}
.mobile .header .avatar img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border-radius: 50%;
}
.mobile .header .user-name,
.mobile .header .user-email,
.mobile .header .user-follow {
  font-weight: normal;
  font-size: 16px;
  color: #ffffff;
}
.mobile .header .user-name {
  font-weight: 500;
}
.mobile .header .user-email {
  color: #747474;
}
.mobile .action-item {
  border-bottom: 1px solid #fff9;
  cursor: pointer;
}
.mobile .action-item * {
  color: #fff;
}

.tab-profile >>> .ant-tabs-bar {
  border: none;
}
.tab-profile >>> .ant-tabs-nav {
  border-radius: 30px;
  border: 2px solid #1DB954;
  overflow: hidden;
}
.tab-profile >>> .ant-tabs-nav .ant-tabs-ink-bar {
  display: none !important;
}
.tab-profile >>> .ant-tabs-nav .ant-tabs-tab {
  color: #fff !important;
  margin: 0 !important;
  width: 140px;
  height: 40px !important;
  display: inline-flex !important;
  align-items: center;
  justify-content: center;
  border-radius: 30px;
  padding: 0 !important;
}
.tab-profile >>> .ant-tabs-nav .ant-tabs-tab-active {
  background: #1DB954;
}
</style>
